"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Ability = (function () {
    function Ability(id, title, detail, binary, notApply, acceptComments, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, enabled) {
        this.id = id;
        this.title = title;
        this.detail = detail;
        this.binary = binary;
        this.notApply = notApply;
        this.acceptComments = acceptComments;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.enabled = enabled;
        this.selected = false;
        this.type = null;
        this.distribute = false;
        this.analysisType = null;
        this.queries = [];
        this.language = null;
        this.isNegative = false;
    }
    return Ability;
}());
exports.Ability = Ability;
var AbilityQuery = (function () {
    function AbilityQuery() {
        this.id = null;
        this.abilityId = null;
        this.queryId = null;
        this.queryContent = null;
        this.acceptancePercentage = 0;
        this.order = null;
        this.entities = [];
        this.createdDate = null;
        this.createdByUserId = null;
        this.lastModifiedDate = null;
        this.lastModifiedByUserId = null;
    }
    return AbilityQuery;
}());
exports.AbilityQuery = AbilityQuery;
var AbilityQueryEntity = (function () {
    function AbilityQueryEntity() {
        this.abilityQueryId = null;
        this.entityId = null;
        this.entityName = null;
        this.acceptancePercentage = 0;
        this.order = null;
        this.createdDate = null;
        this.createdByUserId = null;
        this.lastModifiedDate = null;
        this.lastModifiedByUserId = null;
    }
    return AbilityQueryEntity;
}());
exports.AbilityQueryEntity = AbilityQueryEntity;
