"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EvaluationResult = (function () {
    function EvaluationResult(id, idCampaign, idInteraction, idAgent, idEvaluationFormat, minQualificationAcceptable, idGroup, idSubGroup, idAbility, idWorkGroup, idAttentionLevel, qualification, idAuditor, maxAbilityScore, idEvaluationPlan, comments, notApplies, conditionalSelected, AuditorEvaluationId, evaluationPlanDescription, evaluationDate, auditorName, scoreDescription, campaignDescription, agentDescription, interactionDateini, interactionDatefin, interactionType, abilityOrder, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, conditional) {
        this.id = id;
        this.idCampaign = idCampaign;
        this.idInteraction = idInteraction;
        this.idAgent = idAgent;
        this.idEvaluationFormat = idEvaluationFormat;
        this.minQualificationAcceptable = minQualificationAcceptable;
        this.idGroup = idGroup;
        this.idSubGroup = idSubGroup;
        this.idAbility = idAbility;
        this.idWorkGroup = idWorkGroup;
        this.idAttentionLevel = idAttentionLevel;
        this.qualification = qualification;
        this.idAuditor = idAuditor;
        this.maxAbilityScore = maxAbilityScore;
        this.idEvaluationPlan = idEvaluationPlan;
        this.comments = comments;
        this.notApplies = notApplies;
        this.conditionalSelected = conditionalSelected;
        this.AuditorEvaluationId = AuditorEvaluationId;
        this.evaluationPlanDescription = evaluationPlanDescription;
        this.evaluationDate = evaluationDate;
        this.auditorName = auditorName;
        this.scoreDescription = scoreDescription;
        this.campaignDescription = campaignDescription;
        this.agentDescription = agentDescription;
        this.interactionDateini = interactionDateini;
        this.interactionDatefin = interactionDatefin;
        this.interactionType = interactionType;
        this.abilityOrder = abilityOrder;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.conditional = conditional;
        this.selected = false;
        this.interaction = null;
        this.interactionAddress = null;
        this.abilityInnerScore = 0;
        this.ownScore = 0;
        this.inheritedScore = 0;
    }
    return EvaluationResult;
}());
exports.EvaluationResult = EvaluationResult;
var EvaluationCustomFieldResult = (function () {
    function EvaluationCustomFieldResult() {
        this.evaluationPlanId = null;
        this.interactionId = null;
        this.auditorId = null;
        this.agentId = null;
        this.customFieldId = null;
        this.results = [];
    }
    return EvaluationCustomFieldResult;
}());
exports.EvaluationCustomFieldResult = EvaluationCustomFieldResult;
var InteractionEvaluationPlanResult = (function () {
    function InteractionEvaluationPlanResult(interactionScore, interactionAutomaticScore, interactionManualScore, evaluationResult, evaluationCustomFieldResults) {
        this.interactionScore = interactionScore;
        this.interactionAutomaticScore = interactionAutomaticScore;
        this.interactionManualScore = interactionManualScore;
        this.evaluationResult = evaluationResult;
        this.evaluationCustomFieldResults = evaluationCustomFieldResults;
    }
    return InteractionEvaluationPlanResult;
}());
exports.InteractionEvaluationPlanResult = InteractionEvaluationPlanResult;
var EvaluationResultFilters = (function () {
    function EvaluationResultFilters() {
        this.interactionIds = [];
    }
    return EvaluationResultFilters;
}());
exports.EvaluationResultFilters = EvaluationResultFilters;
var EvaluationResultInteractionFilters = (function () {
    function EvaluationResultInteractionFilters() {
    }
    return EvaluationResultInteractionFilters;
}());
exports.EvaluationResultInteractionFilters = EvaluationResultInteractionFilters;
