"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var User = (function () {
    function User(id, email, firstname, lastname, password, role, country, language, timeZone, preferences, isSystemUser, limitClients, api, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.id = id;
        this.email = email;
        this.firstname = firstname;
        this.lastname = lastname;
        this.password = password;
        this.role = role;
        this.country = country;
        this.language = language;
        this.timeZone = timeZone;
        this.preferences = preferences;
        this.isSystemUser = isSystemUser;
        this.limitClients = limitClients;
        this.api = api;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
    }
    return User;
}());
exports.User = User;
var UserClient = (function () {
    function UserClient(userId, clientId) {
        this.userId = userId;
        this.clientId = clientId;
    }
    return UserClient;
}());
exports.UserClient = UserClient;
var UserNotification = (function () {
    function UserNotification(userIndicatorId, vcc, indicatorId, userId, title, description, type, sendDate, opened, createdDate) {
        this.userIndicatorId = userIndicatorId;
        this.vcc = vcc;
        this.indicatorId = indicatorId;
        this.userId = userId;
        this.title = title;
        this.description = description;
        this.type = type;
        this.sendDate = sendDate;
        this.opened = opened;
        this.createdDate = createdDate;
    }
    return UserNotification;
}());
exports.UserNotification = UserNotification;
var UserIndicator = (function () {
    function UserIndicator(id, indicatorId, userId, customQuery, customParams, expectedOperator, expectedValue, lastKnownValue, lastModification, receiveByMail, receiveByBrowser, reference, timeSchedule, silentCriteria, silent) {
        this.id = id;
        this.indicatorId = indicatorId;
        this.userId = userId;
        this.customQuery = customQuery;
        this.customParams = customParams;
        this.expectedOperator = expectedOperator;
        this.expectedValue = expectedValue;
        this.lastKnownValue = lastKnownValue;
        this.lastModification = lastModification;
        this.receiveByMail = receiveByMail;
        this.receiveByBrowser = receiveByBrowser;
        this.reference = reference;
        this.timeSchedule = timeSchedule;
        this.silentCriteria = silentCriteria;
        this.silent = silent;
    }
    return UserIndicator;
}());
exports.UserIndicator = UserIndicator;
var UserSocketMessage = (function () {
    function UserSocketMessage(id, message) {
        this.id = id;
        this.message = message;
    }
    return UserSocketMessage;
}());
exports.UserSocketMessage = UserSocketMessage;
var UserAccessToken = (function () {
    function UserAccessToken(vcc, accessToken, createdDate) {
        this.vcc = vcc;
        this.accessToken = accessToken;
        this.createdDate = createdDate;
    }
    return UserAccessToken;
}());
exports.UserAccessToken = UserAccessToken;
var UserAPI = (function () {
    function UserAPI(vcc, id, params) {
        this.vcc = vcc;
        this.id = id;
        this.params = params;
    }
    return UserAPI;
}());
exports.UserAPI = UserAPI;
var ApiUser = (function () {
    function ApiUser(vcc, user, pin, isLocked, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.vcc = vcc;
        this.user = user;
        this.pin = pin;
        this.isLocked = isLocked;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
    }
    return ApiUser;
}());
exports.ApiUser = ApiUser;
