"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SUCCESS_ADD_NLU = 1;
exports.ERROR_ADD_NLU = 2;
exports.SUCCESS_DELETE_NLU = 3;
exports.ERROR_DELETE_NLU = 4;
exports.CANCELED_NLU = 5;
exports.SUCCESS_ADD_INTENT = 6;
exports.ERROR_ADD_INTENT = 7;
exports.SUCCESS_ADD_ENTITY = 8;
exports.ERROR_ADD_ENTITY = 9;
exports.SUCCESS_ADD_UTTERANCE = 10;
exports.ERROR_ADD_UTTERANCE = 11;
exports.ROOT_KEY = "CognitiveEngineMigrationModel";
exports.CONFIG_KEY = "CognitiveEngineMigration";
exports.ITEMS_PER_PAGE = 2;
exports.AVAILABLE = 'AVAILABLE';
exports.MIGRATING = 'MIGRATING';
exports.MIGRATED = 'MIGRATED';
exports.CANNOT_SAVE_DATA_TO_REDIS = 'CANNOT_SAVE_DATA_TO_REDIS';
exports.CANCELED_MANY_ATTEMPTS = 'CANCELED_MANY_ATTEMPTS';
exports.WITH_ERROR = 'WITH_ERROR';
exports.TOTAL_RETRIES = 1;
exports.CULTURES = {
    LUIS_LUIS: {
        'es-es': 'es-es'
    },
    LUIS_RASA: {
        'es-es': 'es',
        'es-mx': 'es',
        'fr-fr': 'fr',
        'en-us': 'en',
    },
    RASA_LUIS: {
        es: 'es-es',
        fr: 'fr-fr',
        en: 'en-us',
    },
    RASA_RASA: {
        es: 'es',
    }
};
