"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Account = (function () {
    function Account(installationId, accountId, subAccountId, user, token) {
        if (installationId === void 0) { installationId = ''; }
        if (accountId === void 0) { accountId = ''; }
        if (subAccountId === void 0) { subAccountId = ''; }
        if (user === void 0) { user = ''; }
        if (token === void 0) { token = ''; }
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.user = user;
        this.token = token;
    }
    return Account;
}());
exports.Account = Account;
var SubAccount = (function () {
    function SubAccount(installationId, accountId, subAccountId, user, token) {
        if (installationId === void 0) { installationId = ''; }
        if (accountId === void 0) { accountId = ''; }
        if (subAccountId === void 0) { subAccountId = ''; }
        if (user === void 0) { user = ''; }
        if (token === void 0) { token = ''; }
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.user = user;
        this.token = token;
        this.vcc = 0;
    }
    return SubAccount;
}());
exports.SubAccount = SubAccount;
var PlatformAccount = (function () {
    function PlatformAccount(accountId, subAccountId, clientId, user, token, enabled) {
        if (accountId === void 0) { accountId = ''; }
        if (subAccountId === void 0) { subAccountId = ''; }
        if (clientId === void 0) { clientId = ''; }
        if (user === void 0) { user = ''; }
        if (token === void 0) { token = ''; }
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.clientId = clientId;
        this.user = user;
        this.token = token;
        this.enabled = enabled;
    }
    return PlatformAccount;
}());
exports.PlatformAccount = PlatformAccount;
var AccountList = (function () {
    function AccountList(account, subAccount) {
        if (account === void 0) { account = []; }
        if (subAccount === void 0) { subAccount = []; }
        this.account = account;
        this.subAccount = subAccount;
    }
    return AccountList;
}());
exports.AccountList = AccountList;
var AccountVCC = (function () {
    function AccountVCC(installationId, accountId, subAccountId, asignableBalance, transcriptionRatePerHour, transcriptionRatePerSecond, semanticAnalysisRatePerTransaction, cognitiveAnalysisRatePerTransaction, vcc) {
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.asignableBalance = asignableBalance;
        this.transcriptionRatePerHour = transcriptionRatePerHour;
        this.transcriptionRatePerSecond = transcriptionRatePerSecond;
        this.semanticAnalysisRatePerTransaction = semanticAnalysisRatePerTransaction;
        this.cognitiveAnalysisRatePerTransaction = cognitiveAnalysisRatePerTransaction;
        this.vcc = vcc;
    }
    return AccountVCC;
}());
exports.AccountVCC = AccountVCC;
