"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AllegroCampaign = (function () {
    function AllegroCampaign(id, description) {
        this.id = id;
        this.description = description;
        this.selected = false;
    }
    return AllegroCampaign;
}());
exports.AllegroCampaign = AllegroCampaign;
var AllegroAgent = (function () {
    function AllegroAgent(vcc, campaignId, userId) {
        this.vcc = vcc;
        this.campaignId = campaignId;
        this.userId = userId;
        this.selected = false;
        this.userName = null;
    }
    return AllegroAgent;
}());
exports.AllegroAgent = AllegroAgent;
var AllegroManagementResult = (function () {
    function AllegroManagementResult(vcc, campaignId, code, description) {
        this.vcc = vcc;
        this.campaignId = campaignId;
        this.code = code;
        this.description = description;
        this.selected = false;
    }
    return AllegroManagementResult;
}());
exports.AllegroManagementResult = AllegroManagementResult;
var AllegroSummaryInteraction = (function () {
    function AllegroSummaryInteraction(quantity, time) {
        this.quantity = quantity;
        this.time = time;
        this.interactionType = null;
        this.selected = false;
    }
    return AllegroSummaryInteraction;
}());
exports.AllegroSummaryInteraction = AllegroSummaryInteraction;
var AllegroFilter = (function () {
    function AllegroFilter(startDate, endDate, startTime, endTime, campaign, agent, resultCode, origin, minDuration, maxDuration) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.startTime = startTime;
        this.endTime = endTime;
        this.campaign = campaign;
        this.agent = agent;
        this.resultCode = resultCode;
        this.origin = origin;
        this.minDuration = minDuration;
        this.maxDuration = maxDuration;
        this.selected = false;
    }
    return AllegroFilter;
}());
exports.AllegroFilter = AllegroFilter;
var AllegroFilterAux = (function () {
    function AllegroFilterAux(startDate, endDate, startTime, endTime, campaign, agent, resultCode, typeInteraction, origin, maxDuration, minDuration) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.startTime = startTime;
        this.endTime = endTime;
        this.campaign = campaign;
        this.agent = agent;
        this.resultCode = resultCode;
        this.typeInteraction = typeInteraction;
        this.origin = origin;
        this.maxDuration = maxDuration;
        this.minDuration = minDuration;
        this.selected = false;
    }
    return AllegroFilterAux;
}());
exports.AllegroFilterAux = AllegroFilterAux;
