"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ComboData = (function () {
    function ComboData(value, description, icon, status) {
        this.value = value;
        this.description = description;
        this.icon = icon;
        this.status = status;
    }
    ComboData.prototype.GetValueId = function (field) {
        return (field && this.value && typeof this.value[field] === 'string' ? this.value[field] :
            (this.value && typeof this.value === 'string' ? this.value :
                (this.value && typeof this.value === 'number' ? this.value :
                    ((this.value || this.value === false) && typeof this.value === 'boolean' ? this.value :
                        (this.value && typeof this.value.id === 'string' ? this.value.id :
                            null)))));
    };
    ComboData.prototype.GetValueData = function (field) {
        return (field && this.value && this.value[field] ? this.value[field] : null);
    };
    return ComboData;
}());
exports.ComboData = ComboData;
function GetComboOptionById(optionsList, optionId, optionIdFieldName) {
    return optionsList.find(function (item) {
        return ((item.value || item.value === false || (item.value === null && optionId === null)) && ((typeof item.value === typeof optionId && item.value === optionId) ||
            (typeof item.GetValueId() === typeof optionId && item.GetValueId() === optionId) ||
            (optionIdFieldName && typeof item.value[optionIdFieldName] === typeof optionId && item.value[optionIdFieldName] === optionId)));
    }) || null;
}
exports.GetComboOptionById = GetComboOptionById;
