"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Role = (function () {
    function Role(id, description, systemRole, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, type) {
        this.id = id;
        this.description = description;
        this.systemRole = systemRole;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.type = type;
        this.selected = false;
    }
    return Role;
}());
exports.Role = Role;
var RolePermission = (function () {
    function RolePermission(roleId, groupId) {
        this.roleId = roleId;
        this.groupId = groupId;
    }
    return RolePermission;
}());
exports.RolePermission = RolePermission;
var RolePermissionsGroup = (function () {
    function RolePermissionsGroup(groupId, category, type) {
        this.groupId = groupId;
        this.category = category;
        this.type = type;
        this.selected = false;
    }
    return RolePermissionsGroup;
}());
exports.RolePermissionsGroup = RolePermissionsGroup;
var RoutePermission = (function () {
    function RoutePermission(routeId, groupId, route, level) {
        this.routeId = routeId;
        this.groupId = groupId;
        this.route = route;
        this.level = level;
    }
    return RoutePermission;
}());
exports.RoutePermission = RoutePermission;
var SinglePermission = (function () {
    function SinglePermission(id, groupId, type, element) {
        this.id = id;
        this.groupId = groupId;
        this.type = type;
        this.element = element;
    }
    return SinglePermission;
}());
exports.SinglePermission = SinglePermission;
var CategoryPermission = (function () {
    function CategoryPermission(category, position) {
        this.category = category;
        this.position = position;
    }
    return CategoryPermission;
}());
exports.CategoryPermission = CategoryPermission;
