"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var moment = require("moment");
var timezone = require("moment-timezone");
function ConvertDateTimeZone(date, hour, timeZone) {
    var arrayDate = date.split('-');
    var objDate = { year: arrayDate[0],
        month: parseInt(arrayDate[1]) - 1,
        day: arrayDate[2],
        hour: hour };
    var dateTimeZone = timezone.tz(objDate, timeZone).utc().format('YYYY-MM-DD HH:mm:ss');
    return dateTimeZone;
}
exports.ConvertDateTimeZone = ConvertDateTimeZone;
function FormatUTC(date) {
    var dateTimeZone = moment.utc(date).format('YYYY-MM-DD HH:mm:ss');
    return dateTimeZone;
}
exports.FormatUTC = FormatUTC;
function ConvertRangeHourNumber(hour) {
    var arrayHour = hour.split('-');
    var hourNumber = parseInt((arrayHour[0] && arrayHour[0].length > 2) ? arrayHour[0].substr(0, 2) : '0');
    return hourNumber.toString();
}
exports.ConvertRangeHourNumber = ConvertRangeHourNumber;
function CompleteLength(input, length, padding) {
    var str = input + '';
    return (length <= str.length) ? str : CompleteLength(str + padding, length, padding);
}
exports.CompleteLength = CompleteLength;
